Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.util
Class UlcHashtable

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--com.ibm.ulc.util.UlcHashtable

public class UlcHashtable
extends java.util.Hashtable
implements ITableRow

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `NULL`

Constructor Summary
`UlcHashtable()` UlcHashtable constructor comment.
`UlcHashtable(int arg1)` UlcHashtable constructor comment.
`UlcHashtable(int arg1, float arg2)` UlcHashtable constructor comment.

Method Summary
`boolean` | `contains(java.lang.Object searchValue)`
`java.util.Enumeration` | `elements()` Returns an enumeration of the values in this hashtable.
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.Object` | `getValueAt(java.lang.String attributeName)`
`java.util.Enumeration` | `keys()` Returns an enumeration of the keys in this hashtable.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `setValueAt(java.lang.Object value, java.lang.String attributeName)`
`java.util.Enumeration` | `superElements()`
`java.util.Enumeration` | `superKeys()`

Methods inherited from class java.util.Hashtable
`clear, clone, containsKey, containsValue, entrySet, equals, hashCode, isEmpty, keySet, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NULL

    public static final java.lang.String NULL

Constructor Detail

### UlcHashtable

    public UlcHashtable()

  UlcHashtable constructor comment.

### UlcHashtable

    public UlcHashtable(int arg1)

  UlcHashtable constructor comment.
  Parameters:
    `arg1` - int

### UlcHashtable

    public UlcHashtable(int arg1,
                        float arg2)

  UlcHashtable constructor comment.
  Parameters:
    `arg1` - int
    `arg2` - float

Method Detail

### contains

    public boolean contains(java.lang.Object searchValue)

  Overrides:
    contains in class java.util.Hashtable

### elements

    public java.util.Enumeration elements()

  Returns an enumeration of the values in this hashtable. Use the Enumeration methods on the returned object to fetch the elements sequentially.
  Returns:
    an enumeration of the values in this hashtable.
  Overrides:
    elements in class java.util.Hashtable
  See Also:
    `Enumeration`, `Hashtable.keys()`

### get

    public java.lang.Object get(java.lang.Object key)

  Overrides:
    get in class java.util.Hashtable

### getValueAt

    public java.lang.Object getValueAt(java.lang.String attributeName)

  Specified by:
    getValueAt in interface ITableRow

### keys

    public java.util.Enumeration keys()

  Returns an enumeration of the keys in this hashtable.
  Returns:
    an enumeration of the keys in this hashtable.
  Overrides:
    keys in class java.util.Hashtable
  See Also:
    `Enumeration`, `Hashtable.elements()`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Overrides:
    put in class java.util.Hashtable

### setValueAt

    public void setValueAt(java.lang.Object value,
                           java.lang.String attributeName)

  Specified by:
    setValueAt in interface ITableRow

### superElements

    public java.util.Enumeration superElements()

### superKeys

    public java.util.Enumeration superKeys()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD